OSMO-BTS-TRX(8)

NAME
osmo-bts-trx - Base Transceiver Station for GSM

SYNOPSIS
osmo-bts-trx [options]

DESCRIPTION
OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the following protocols/interfaces:

    •   LAPDm (GSM 04.06)

    •   RTP

    •   A-bis/IP in IPA multiplex

    •   OML (GSM TS 12.21)

    •   RSL (GSM TS 08.58)

OsmoBTS is modular and has support for multiple back-ends. A back-end talks to a specific L1/PHY implementation of the respective BTS hardware. Based on this architecture, it should be relatively easy to add a new back-end to support so-far unsupported GSM PHY/L1 and associated hardware.

OPTIONS

-h,--help
    this text

-d,--debug MASK
    Enable debugging (e.g. -d DRSL:DOML:DLAPDM)

-D,--daemonize
    For the process into a background daemon

-c,--config-file
    Specify the filename of the config file

-s,--disable-color
    Don't use colors in stderr log output

-T,--timestamp
    Prefix every log line with a timestamp

-V,--version
    Print version information and exit

-e,--log-level
    Set a global log-level

-r,--realtime PRIO
    Set realtime scheduler with given prio

-i,--gsmtap-ip
    The destination IP used for GSMTAP.

-t,--trx-num
    Set number of TRX (default=1)

SEE ALSO
osmo-trx-uhd(1), osmo-bsc(8)

AUTHOR
This manual page was written by Ruben Undheim <ruben.undheim@gmail.com> for the Debian project (and may be used by others).